Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.jmx
Interface ProcessMBean

    public interface ProcessMBean

Managed MBean representing operations on a bpel process.

Method Summary
`java.lang.String` | `getName()` Get the name of the process.
`javax.management.openmbean.TabularData` | `instanceQuerySimple(java.lang.String fromDate, java.lang.String toDate, short state)` Simple process instance query.
`void` | `kill(java.lang.Long pid)` Kill a process instance
`void` | `resume(java.lang.Long pid)` Resume a process that has been suspended.
`javax.management.openmbean.CompositeData` | `showInstanceDetail(java.lang.Long pid)` Return detailed information for a process instance.
`javax.management.openmbean.TabularData` | `showVariableData(java.lang.Long pid, java.lang.String variableName, int scopeModelId)` Results will include scopeModelId and scopeInstance
`java.lang.String` | `showVariableDataForScopeInstance(java.lang.Long pid, java.lang.String variableName, java.lang.Long scopeInstanceId)` Show the XML data for a given variable and scopeInstanceId.
`void` | `suspend(java.lang.Long pid)` Suspend an active process.

Method Detail

### getName

    java.lang.String getName()

  Get the name of the process.

  Returns:
    process name

### suspend

    void suspend(java.lang.Long pid)
                 throws java.lang.Exception

  Suspend an active process.

  Parameters:
    `pid` - process instance id
  Throws:
    `java.lang.Exception`

### resume

    void resume(java.lang.Long pid)
                throws java.lang.Exception

  Resume a process that has been suspended.

  Parameters:
    `pid` - process instance id
  Throws:
    `java.lang.Exception`

### kill

    void kill(java.lang.Long pid)
              throws java.lang.Exception

  Kill a process instance

  Parameters:
    `pid` - process instance id
  Throws:
    `java.lang.Exception`

### showVariableData

    javax.management.openmbean.TabularData showVariableData(java.lang.Long pid,
                                                            java.lang.String variableName,
                                                            int scopeModelId)
                                                            throws java.lang.Exception

  Results will include scopeModelId and scopeInstance

  Parameters:
    `pid` - process instance id
    `variableName` - variable
    `scopeModelId` - (optional, use 0 for no value)
  Returns:
  Throws:
    `java.lang.Exception`

### showVariableDataForScopeInstance

    java.lang.String showVariableDataForScopeInstance(java.lang.Long pid,
                                                      java.lang.String variableName,
                                                      java.lang.Long scopeInstanceId)
                                                      throws java.lang.Exception

  Show the XML data for a given variable and scopeInstanceId.

  Parameters:
    `pid` - process instance id
    `variableName` - variable
    `scopeInstanceId` - scope instance id
  Returns:
  Throws:
    `java.lang.Exception`

### instanceQuerySimple

    javax.management.openmbean.TabularData instanceQuerySimple(java.lang.String fromDate,
                                                               java.lang.String toDate,
                                                               short state)
                                                               throws java.lang.Exception

  Simple process instance query. Use the 'advanced' form for more query features.

  Parameters:
    `fromDate` - (optional) of the form mm/dd/yy hh:mm, e.g. 02/17/2005 13:05
    `toDate` - (optional) of the form mm/dd/yy hh:mm, e.g. 02/17/2005 13:05
    `state` - (optional) filters by process state (see `ProcessState` for a list of valid states.
  Returns:
  Throws:
    `java.lang.Exception`

### showInstanceDetail

    javax.management.openmbean.CompositeData showInstanceDetail(java.lang.Long pid)
                                                                throws java.lang.Exception

  Return detailed information for a process instance.

  Parameters:
    `pid` - process instance id
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD